petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSundialsSetTolerance

Sets the absolute and relative tolerance used by Sundials for error control.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetTolerance(TS ts,double aabs,double rel)

Logically Collective on TS

### Input parameters

| ts | - the time-step context
| aabs | - the absolute tolerance
| rel | - the relative tolerance

See the Cvode/Sundials users manual for exact details on these parameters. Essentially these regulate the size of the error for a SINGLE timestep.

### Keywords

Sundials, tolerance

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSetExactFinalTime()

### Level

intermediate

### Location

src/ts/impls/implicit/sundials/sundials.c

### Implementations

TSSundialsSetTolerance_Sundials in src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages